org.apache.poi.sl.usermodel

## Enum StrokeStyle.LineDash

- java.lang.Object
- - java.lang.Enum<StrokeStyle.LineDash>
  - - org.apache.poi.sl.usermodel.StrokeStyle.LineDash

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StrokeStyle.LineDash>
  Enclosing interface:
    StrokeStyle

      public static enum StrokeStyle.LineDash
      extends java.lang.Enum<StrokeStyle.LineDash>

  The line dash with pattern. The pattern is derived empirically on PowerPoint 2010 and needs to be multiplied with actual line width

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASH` dash style - native 7
    `DASH_DOT` dash short dash - native 9
    `DOT` square dot style - native 6
    `LG_DASH` long dash style - native 8
    `LG_DASH_DOT` long dash short dash - native 10
    `LG_DASH_DOT_DOT` long dash short dash short dash - native 11
    `SOLID` Solid (continuous) pen - native 1
    `SYS_DASH` PS_DASH system dash style - native 2
    `SYS_DASH_DOT` PS_DASHDOT system dash style - native 4
    `SYS_DASH_DOT_DOT` PS_DASHDOTDOT system dash style / native 5
    `SYS_DOT` PS_DOT system dash style - native 3

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `nativeId`
    `int` | `ooxmlId`
    `int[]` | `pattern`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StrokeStyle.LineDash` | `fromNativeId(int nativeId)`
    `static StrokeStyle.LineDash` | `fromOoxmlId(int ooxmlId)`
    `static StrokeStyle.LineDash` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StrokeStyle.LineDash[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOLID

          public static final StrokeStyle.LineDash SOLID

      Solid (continuous) pen - native 1

    - #### DOT

          public static final StrokeStyle.LineDash DOT

      square dot style - native 6

    - #### DASH

          public static final StrokeStyle.LineDash DASH

      dash style - native 7

    - #### DASH_DOT

          public static final StrokeStyle.LineDash DASH_DOT

      dash short dash - native 9

    - #### LG_DASH

          public static final StrokeStyle.LineDash LG_DASH

      long dash style - native 8

    - #### LG_DASH_DOT

          public static final StrokeStyle.LineDash LG_DASH_DOT

      long dash short dash - native 10

    - #### LG_DASH_DOT_DOT

          public static final StrokeStyle.LineDash LG_DASH_DOT_DOT

      long dash short dash short dash - native 11

    - #### SYS_DASH

          public static final StrokeStyle.LineDash SYS_DASH

      PS_DASH system dash style - native 2

    - #### SYS_DOT

          public static final StrokeStyle.LineDash SYS_DOT

      PS_DOT system dash style - native 3

    - #### SYS_DASH_DOT

          public static final StrokeStyle.LineDash SYS_DASH_DOT

      PS_DASHDOT system dash style - native 4

    - #### SYS_DASH_DOT_DOT

          public static final StrokeStyle.LineDash SYS_DASH_DOT_DOT

      PS_DASHDOTDOT system dash style / native 5

  - ### Field Detail

    - #### pattern

          public final int[] pattern

    - #### nativeId

          public final int nativeId

    - #### ooxmlId

          public final int ooxmlId

  - ### Method Detail

    - #### values

          public static StrokeStyle.LineDash[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StrokeStyle.LineDash c : StrokeStyle.LineDash.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StrokeStyle.LineDash valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromNativeId

          public static StrokeStyle.LineDash fromNativeId(int nativeId)

    - #### fromOoxmlId

          public static StrokeStyle.LineDash fromOoxmlId(int ooxmlId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.